Poetry – 强大的Python依赖管理工具-Poetry - 强大的Python依赖管理工具-Python 实用宝典

Poetry – 强大的Python依赖管理工具

文件信息:

  1. Poetry 源代码
  2. 更新时间2021年1月
  3. 软件语言Python
  4. 软件授权开源
  5. 注意事项网盘可能有少量广告,下方链接进去后点击普通下载即可
  6. 过期如果您发现项目过期了,请联系我们

诗歌安装

Poetry 诗歌可以帮助您声明,管理和安装Python项目的依赖项,从而确保您在任何地方都拥有正确的堆栈。

它支持Python 2.7和3.5+。

注意:下一个功能版本(1.2)将不再支持Python 2.7和3.5。您应该考虑将Python版本更新为受支持的版本。

 

1.安装

Poetry提供了一个自定义安装程序,该安装程序将poetry通过依赖于其他系统来独立于系统的其余部分进行安装。这是推荐的安装方式:

curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | python

或者,您可以下载get-poetry.py文件并单独执行。

安装脚本必须能够在外壳程序的路径环境中找到以下可执行文件之一:

  • python (可以是py3或py2解释器)
  • python3
  • py.exe -3 (视窗)
  • py.exe -2 (视窗)

如果要安装预发行版本,可以通过以下方式--preview进行安装get-poetry.py

python get-poetry.py --preview

同样,如果要安装特定版本,则可以使用--version

python get-poetry.py --version 0.7.0

也可以使用pip安装poetry

pip install --user poetry

 

2.更新

将Poetry更新到最新的稳定版本就像调用self update命令一样简单。

poetry self update

如果要安装预发行版本,则可以使用该--preview选项。

poetry self update --preview

最后,如果您要安装特定版本,可以将其作为参数传递给self update

poetry self update 1.0.0
23

发表评论